<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>celNavigationTools Struct Reference (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-static-methods">Static Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">celNavigationTools Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="celNavigationTools" -->
<p>Helplers for navigation.  
 <a href="structcelNavigationTools.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="navigation_8h_source.html">celtool/navigation.h</a>&gt;</code></p>

<p><a href="structcelNavigationTools-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="structcelNavigationInfo.html">celNavigationInfo</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structcelNavigationTools.html#a2b4041a0d7eb701e73a418216ee1b333">GetNavigationInfo</a> (<a class="el" href="structiCelEntity.html">iCelEntity</a> *navigator, const char *tag, const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a> &amp;vector)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns navigation result between navigator entity and target vector.  <a href="#a2b4041a0d7eb701e73a418216ee1b333"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="structcelNavigationInfo.html">celNavigationInfo</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structcelNavigationTools.html#a0fb7ad50a4f1109668793fdb584b0fa7">GetNavigationInfo</a> (<a class="el" href="structiPcMesh.html">iPcMesh</a> *navigator, const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a> &amp;vector)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns navigation result between navigator pcmesh and target vector.  <a href="#a0fb7ad50a4f1109668793fdb584b0fa7"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="structcelNavigationInfo.html">celNavigationInfo</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structcelNavigationTools.html#a3b4faed5c2c7c8bd3ad2bca606595e84">GetNavigationInfo</a> (<a class="el" href="structiCelEntity.html">iCelEntity</a> *navigator, const char *navigator_tag, <a class="el" href="structiCelEntity.html">iCelEntity</a> *entity, const char *entity_tag)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns navigation result between navigator entity and target entity.  <a href="#a3b4faed5c2c7c8bd3ad2bca606595e84"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="structcelNavigationInfo.html">celNavigationInfo</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structcelNavigationTools.html#a19825b6349deca25a61e08e85165754b">GetNavigationInfo</a> (<a class="el" href="structiPcMesh.html">iPcMesh</a> *navigator, <a class="el" href="structiCelEntity.html">iCelEntity</a> *entity, const char *entity_tag)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns navigation result between navigator pcmesh and target entity.  <a href="#a19825b6349deca25a61e08e85165754b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="structcelNavigationInfo.html">celNavigationInfo</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structcelNavigationTools.html#aade7d10302ee0224d8b0f17aa4c0c0a4">GetNavigationInfo</a> (<a class="el" href="structiCelEntity.html">iCelEntity</a> *navigator, const char *tag, <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiMapNode.html">iMapNode</a> *node)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns navigation result between navigator entity and target map node.  <a href="#aade7d10302ee0224d8b0f17aa4c0c0a4"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="structcelNavigationInfo.html">celNavigationInfo</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structcelNavigationTools.html#a3ad60c485eec64627d5f20daa5906f32">GetNavigationInfo</a> (<a class="el" href="structiPcMesh.html">iPcMesh</a> *navigator, <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiMapNode.html">iMapNode</a> *node)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns navigation result between navigator pcmesh and target map node.  <a href="#a3ad60c485eec64627d5f20daa5906f32"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Helplers for navigation. </p>

<p>Definition at line <a class="el" href="navigation_8h_source.html#l00052">52</a> of file <a class="el" href="navigation_8h_source.html">navigation.h</a>.</p>
</div><hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a2b4041a0d7eb701e73a418216ee1b333"></a><!-- doxytag: member="celNavigationTools::GetNavigationInfo" ref="a2b4041a0d7eb701e73a418216ee1b333" args="(iCelEntity *navigator, const char *tag, const csVector3 &amp;vector)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="structcelNavigationInfo.html">celNavigationInfo</a> <a class="el" href="structcelNavigationTools.html#a2b4041a0d7eb701e73a418216ee1b333">celNavigationTools::GetNavigationInfo</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structiCelEntity.html">iCelEntity</a> *&#160;</td>
          <td class="paramname"><em>navigator</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>tag</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a> &amp;&#160;</td>
          <td class="paramname"><em>vector</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns navigation result between navigator entity and target vector. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">navigator</td><td>is an entity with pcmesh which looks for a target. </td></tr>
    <tr><td class="paramname">tag</td><td>is navigator property class tag or 0. </td></tr>
    <tr><td class="paramname">vector</td><td>is a target vector. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a0fb7ad50a4f1109668793fdb584b0fa7"></a><!-- doxytag: member="celNavigationTools::GetNavigationInfo" ref="a0fb7ad50a4f1109668793fdb584b0fa7" args="(iPcMesh *navigator, const csVector3 &amp;vector)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="structcelNavigationInfo.html">celNavigationInfo</a> <a class="el" href="structcelNavigationTools.html#a2b4041a0d7eb701e73a418216ee1b333">celNavigationTools::GetNavigationInfo</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structiPcMesh.html">iPcMesh</a> *&#160;</td>
          <td class="paramname"><em>navigator</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a> &amp;&#160;</td>
          <td class="paramname"><em>vector</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns navigation result between navigator pcmesh and target vector. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">navigator</td><td>is pcmesh class of the navigator to take the position from. </td></tr>
    <tr><td class="paramname">vector</td><td>is a target vector. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a3b4faed5c2c7c8bd3ad2bca606595e84"></a><!-- doxytag: member="celNavigationTools::GetNavigationInfo" ref="a3b4faed5c2c7c8bd3ad2bca606595e84" args="(iCelEntity *navigator, const char *navigator_tag, iCelEntity *entity, const char *entity_tag)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="structcelNavigationInfo.html">celNavigationInfo</a> <a class="el" href="structcelNavigationTools.html#a2b4041a0d7eb701e73a418216ee1b333">celNavigationTools::GetNavigationInfo</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structiCelEntity.html">iCelEntity</a> *&#160;</td>
          <td class="paramname"><em>navigator</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>navigator_tag</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structiCelEntity.html">iCelEntity</a> *&#160;</td>
          <td class="paramname"><em>entity</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>entity_tag</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns navigation result between navigator entity and target entity. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">navigator</td><td>is an entity with pcmesh which looks for a target. </td></tr>
    <tr><td class="paramname">navigator_tag</td><td>is navigator property class tag or 0. </td></tr>
    <tr><td class="paramname">entity</td><td>is a target entity with pcmesh. </td></tr>
    <tr><td class="paramname">entity_tag</td><td>is target entity property class tag or 0. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a19825b6349deca25a61e08e85165754b"></a><!-- doxytag: member="celNavigationTools::GetNavigationInfo" ref="a19825b6349deca25a61e08e85165754b" args="(iPcMesh *navigator, iCelEntity *entity, const char *entity_tag)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="structcelNavigationInfo.html">celNavigationInfo</a> <a class="el" href="structcelNavigationTools.html#a2b4041a0d7eb701e73a418216ee1b333">celNavigationTools::GetNavigationInfo</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structiPcMesh.html">iPcMesh</a> *&#160;</td>
          <td class="paramname"><em>navigator</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structiCelEntity.html">iCelEntity</a> *&#160;</td>
          <td class="paramname"><em>entity</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>entity_tag</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns navigation result between navigator pcmesh and target entity. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">navigator</td><td>is pcmesh class of the navigator to take the position from. </td></tr>
    <tr><td class="paramname">entity</td><td>is a target entity with pcmesh. </td></tr>
    <tr><td class="paramname">entity_tag</td><td>is target entity property class tag or 0. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="aade7d10302ee0224d8b0f17aa4c0c0a4"></a><!-- doxytag: member="celNavigationTools::GetNavigationInfo" ref="aade7d10302ee0224d8b0f17aa4c0c0a4" args="(iCelEntity *navigator, const char *tag, iMapNode *node)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="structcelNavigationInfo.html">celNavigationInfo</a> <a class="el" href="structcelNavigationTools.html#a2b4041a0d7eb701e73a418216ee1b333">celNavigationTools::GetNavigationInfo</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structiCelEntity.html">iCelEntity</a> *&#160;</td>
          <td class="paramname"><em>navigator</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>tag</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiMapNode.html">iMapNode</a> *&#160;</td>
          <td class="paramname"><em>node</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns navigation result between navigator entity and target map node. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">navigator</td><td>is an entity with pcmesh which looks for a target. </td></tr>
    <tr><td class="paramname">tag</td><td>is navigator property class tag or 0. </td></tr>
    <tr><td class="paramname">node</td><td>is a map node. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a3ad60c485eec64627d5f20daa5906f32"></a><!-- doxytag: member="celNavigationTools::GetNavigationInfo" ref="a3ad60c485eec64627d5f20daa5906f32" args="(iPcMesh *navigator, iMapNode *node)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="structcelNavigationInfo.html">celNavigationInfo</a> <a class="el" href="structcelNavigationTools.html#a2b4041a0d7eb701e73a418216ee1b333">celNavigationTools::GetNavigationInfo</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structiPcMesh.html">iPcMesh</a> *&#160;</td>
          <td class="paramname"><em>navigator</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiMapNode.html">iMapNode</a> *&#160;</td>
          <td class="paramname"><em>node</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns navigation result between navigator pcmesh and target map node. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">navigator</td><td>is pcmesh class of the navigator to take the position from. </td></tr>
    <tr><td class="paramname">node</td><td>is a map node. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>celtool/<a class="el" href="navigation_8h_source.html">navigation.h</a></li>
</ul>
</div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
